View Issue Details

IDProjectCategoryView StatusLast Update
0000133BwPostmanNewsletters Backendpublic2020-07-30 16:12
Reporterdstreichert Assigned ToKarl  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.3 
Target Version3.0Fixed in Version2.4 
Summary0000133: Error: The Joomla! article with ID -1 not found!
DescriptionIf the template to be used has a tpl_id = 0 and no website content is selected, the message "Error: The Joomla! article with ID -1 not found!" is displayed in the "HTML Newsletter" -> "HTML version" area.
My suggested solution is to add the following in file "/administrator/components/com_bwpostman/helpers/contentRenderer.php" on line 323 in version 2.3.1.
                if ($id == '-1')
                {
                    $tag_article_begin = isset($tpl->tpl_tags_article) && $tpl->tpl_tags_article == 0 ?
                            $tpl->tpl_tags_article_advanced_b :
                            BwPostmanTplHelper::getArticleTagBegin();
                    $tag_article_end = isset($tpl->tpl_tags_article) && $tpl->tpl_tags_article == 0 ?
                            $tpl->tpl_tags_article_advanced_e :
                            BwPostmanTplHelper::getArticleTagEnd();
                    return stripslashes($tag_article_begin . JText::_('COM_BWPOSTMAN_TPL_PLACEHOLDER_CONTENT') . $tag_article_end);
                }
TagsNo tags attached.

Activities

dstreichert

2020-03-16 22:59

reporter  

contentRenderer.php.diff (935 bytes)   
--- contentRenderer.orig.php	2020-03-15 18:31:44.740774065 +0100
+++ contentRenderer.php	2020-03-15 18:31:32.424774112 +0100
@@ -320,6 +320,16 @@
 
 		$content = '';
 
+                if ($id == '-1')
+                {                                
+                    $tag_article_begin = isset($tpl->tpl_tags_article) && $tpl->tpl_tags_article == 0 ?
+                            $tpl->tpl_tags_article_advanced_b :
+                            BwPostmanTplHelper::getArticleTagBegin();
+                    $tag_article_end = isset($tpl->tpl_tags_article) && $tpl->tpl_tags_article == 0 ?
+                            $tpl->tpl_tags_article_advanced_e :
+                            BwPostmanTplHelper::getArticleTagEnd();
+                    return stripslashes($tag_article_begin . JText::_('COM_BWPOSTMAN_TPL_PLACEHOLDER_CONTENT') . $tag_article_end);
+                }
 		if ($id != 0)
 		{
 			// Editor user type check
contentRenderer.php.diff (935 bytes)   

Issue History

Date Modified Username Field Change
2020-03-16 22:59 dstreichert New Issue
2020-03-16 22:59 dstreichert File Added: contentRenderer.php.diff
2020-03-18 09:09 Romana Assigned To => Karl
2020-03-18 09:09 Romana Status new => assigned
2020-03-18 09:09 Romana Fixed in Version => 2.4
2020-03-18 09:09 Romana Target Version => 2.4
2020-06-09 15:42 Romana Status assigned => resolved
2020-06-09 15:42 Romana Resolution open => fixed
2020-07-30 16:12 Romana Target Version 2.4 => 3.0